/*
* Copyright 2018 Philippe BOUDOT
* www.systemes-embarques.fr
*
* Not for commercial use
*
*/

module SPIRegisters (
	 

	input iSELCT_REG,

	 output [7:0] oSPI_SEND_BYTE,
	 
	 
	 input iSPI_WRITE_SIG,
	 input iSPI_READ_SIG,

	 input iSPI_INC_WRADDR,
	 input iSPI_INC_RDADDR,
	 
	 input [7:0] iSPI_RCV_BYTE,
	 input [7:0] iSPI_RCV_CMD
);

reg [7:0] Registers[15:0];
reg [4:0] AddrRead;
reg [4:0] AddrWrite;

initial
	begin
		AddrRead <= 0;
		AddrWrite <= 0;
	end

assign oSPI_SEND_BYTE = (iSELCT_REG == 1'b1) ? Registers[iSPI_RCV_CMD[4:0] + AddrRead[4:0]] : 8'bz;
	 
always @(posedge iSPI_WRITE_SIG )
begin
	if (iSELCT_REG == 1'b1)
		Registers[iSPI_RCV_CMD[4:0]+AddrWrite[4:0]] <= iSPI_RCV_BYTE;
end

always @(posedge iSPI_INC_WRADDR or negedge iSELCT_REG)
begin
	if (iSELCT_REG == 1'b0)
		AddrWrite <= 1'b0;
	else 
		AddrWrite <= AddrWrite + 1'b1;
end

always @(posedge iSPI_INC_RDADDR or negedge iSELCT_REG)
begin
	if (iSELCT_REG == 1'b0)
		AddrRead <= 1'b0;
	else 
		AddrRead <= AddrRead + 1'b1;
end

endmodule
