/*
* Copyright 2018 Philippe BOUDOT
* www.systemes-embarques.fr
*
* Not for commercial use
*
*/

module VIDEO_BACKGROUND (
	input			iCLK_PIX,
	input [11:0]	iPIXEL_X,
	input [11:0]	iPIXEL_Y,
	
	output [7:0]	oRED,
	output [7:0]	oGRN,
	output [7:0]	oBLU
 );

	reg [7:0] cBLU,cRED,cGRN;

	assign oBLU[7:0] = cBLU;
	assign oGRN[7:0] = cGRN;
	assign oRED[7:0] = cRED;

	always @(negedge iCLK_PIX)
	begin
		cBLU[7:0] <= iPIXEL_X[8]==1'b1 ? ~iPIXEL_X[7:0]:iPIXEL_X[7:0];
		cGRN[7:0] <= iPIXEL_Y[8]==1'b1 ? ~iPIXEL_Y[7:0]:iPIXEL_Y[7:0];
		cRED[7:0] <= 8'b00000000; 
	end

endmodule
